import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import java.util.List;
/**
 * Write a description of class CherryWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class CherryWorld extends World
{

    public static final int TOTALCHERRIES=8;
    private long tick=0;
    /**
     * Constructor for objects of class myclass.
     * 
     */

    public CherryWorld()
    {   
        super(640, 512, 1); 
        init();
    }

    public void init(){   
        tile t=new tile(0);
        controller c=new controller();
        int x = Greenfoot.getRandomNumber(getWidth())/tile.SIZE*tile.SIZE+tile.SIZE/2;
        int y = (tile.SIZE+Greenfoot.getRandomNumber(getHeight()-tile.SIZE))/tile.SIZE*tile.SIZE+tile.SIZE/2;
        addObject(t, x,y);
        addObject(c,x,y);
        addObject ( new Girl(), x, y-tile.SIZE);
        setPaintOrder(ScoreBoard.class,controller.class,Girl.class,tile.class,Cherry.class);
        randomCherries(TOTALCHERRIES);
    }

    public void randomCherries(int howMany)
    {   
        int i=0;
        int x,y;
        Cherry cherry; 
        List t;
        while(i<howMany) {
            cherry = new Cherry();
            x = Greenfoot.getRandomNumber(getWidth())/tile.SIZE*tile.SIZE+tile.SIZE/2;
            y = Greenfoot.getRandomNumber(getHeight()-tile.SIZE)/tile.SIZE*tile.SIZE+tile.SIZE/2;
            t=getObjectsAt(x,y,null);
            if(t.size()==0){
                addObject(cherry, x, y);
                i++;
            }
        }
    }

    public void gameOver(String title) {
        addObject(new ScoreBoard(title,tick/50), getWidth()/2, getHeight()/2);
        Greenfoot.stop();
    }

    public void act()   {   
        tick=(tick+1);
    }
}
